Skip to content

Retrieve the list of employee schedules

GET
/api/horarios/
id
integer
id__in
Array<integer>
user
integer
user__in
Array<integer>
user__isnull

A schedule can have a null user (the center’s schedule) or a null center (the employee’s schedule).

boolean
centro
integer
centro__in
Array<integer>
centro__isnull

A schedule can have a null user (the center’s schedule) or a null center (the employee’s schedule).

boolean
week

Include the leading zero, 01 represents the first week of the year.

string
week__in
Array<string>
week__isnull

The default schedule has null week and year.

boolean
year

Format YYYY, for example 2025.

string
year__in
Array<string>
year__isnull

The default schedule has null week and year.

boolean
limit
integer
offset
integer

List of requested schedules

object
count
integer
next
One of:
string format: uri
previous
One of:
string format: uri
results
Array
<= 50 items
object
id

Read only

integer
created

Read only

string format: date-time
updated

Read only

string format: date-time
user
integer
centro
integer
week

Week number of the year the schedule applies to, e.g. 01 is the first week. Null in the default schedule.

string
year

Format YYYY e.g. 2025. Null in the default schedule.

string
lunes
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
martes
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
miercoles
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
jueves
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
viernes
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
sabado
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time
domingo
Array
One of:
object
hora_inicio
string format: time
hora_fin
string format: time

Access key was not provided in the X-Koibox-Key header

WWW-Authenticate
string
default: X-Koibox-Key

Indicates the required header for authentication

A valid access key was not provided